Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis.filter.visualization.graph
Class AbstractGraphElement<O>

    java.lang.Object
      kieker.tools.traceAnalysis.filter.visualization.graph.AbstractGraphElement<O>

Type Parameters:
  `O` - The type of the objects which caused the creation of this graph element

Direct Known Subclasses:
  AbstractEdge, AbstractVertex

    public abstract class AbstractGraphElement<O>

extends Object

Superclass for graph elements, i.e. edges and vertices, in the visualization package.

Since:
  1.6
Author:
  Holger Knoche

Method Summary
`void` | `addOrigin(O origin)` Adds a new origin object to this element.
`Color` | `getColor()` Returns this graph element's color.
`String` | `getDescription()` Returns this graph element's description.
`abstract String` | `getIdentifier()` Returns an identifier for this graph element (e.g., a label).
`Set<O>` | `getOrigins()` Returns the objects which caused the creation of this element.
`void` | `setColor(Color color)` Sets this graph element's color.
`void` | `setDescription(String description)` Sets this graph element's description.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getColor

    public Color getColor()

  Returns this graph element's color.

  Returns:
    See above

### setColor

    public void setColor(Color color)

  Sets this graph element's color.

  Parameters:
    `color` - The color to set

### getDescription

    public String getDescription()

  Returns this graph element's description.

  Returns:
    See above

### setDescription

    public void setDescription(String description)

  Sets this graph element's description.

  Parameters:
    `description` - The description to set

### getOrigins

    public Set<O> getOrigins()

  Returns the objects which caused the creation of this element.

  Returns:
    See above

### addOrigin

    public final void addOrigin(O origin)

  Adds a new origin object to this element.

  Parameters:
    `origin` - The origin object

### getIdentifier

    public abstract String getIdentifier()

  Returns an identifier for this graph element (e.g., a label).

  Returns:
    An identifier or `null` if no identifier can be determined

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net